# FIXME: System.Net.Dns.GetHostEntry is not realized yet in mono 1.2.5

%define oname ice
%define major 3.2
Name: libice-sharp
Version: %major.1
Release: alt2

%define dotnetversion %version

Summary: The Ice runtime for C# applications

License: GPL
Group:System/Libraries
Url: http://www.zeroc.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch

Source: http://www.zeroc.com/download/Ice/%major/IceCS-%version.tar.bz2
Source1: http://www.zeroc.com/download/Ice/%major/Ice-rpmbuild-%major.0.tar.bz2
Patch: %name.patch

# Note: infinite wait during buildreq
# Automatically added by buildreq on Sat Aug 04 2007
BuildRequires: ice libice-devel mono-mcs rpm-build-mono
BuildRequires: /proc

%description
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%package devel
Summary: Tools for developing Ice applications in C#
Group: Development/Other
Requires: %name = %version

%description devel
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%prep
%setup -q -n IceCS-%version
tar xfj %SOURCE1
%patch
# hack for correct assembling with icecs (any better variants then one?)
cp -r lib/pkgconfig lib/pkgconfig-copied
%__subst "s|Libs:.*|Libs: -r:`pwd`/bin/\${name}.dll|g" lib/pkgconfig-copied/*

%build
export PKG_CONFIG_PATH=`pwd`/lib/pkgconfig-copied
%make_build OPTIMIZE=yes

%install
mkdir -p %buildroot%_pkgconfigdir

%make_install NOGAC=yes prefix=%buildroot install

install -m755 -D bin/iceboxnet.exe %buildroot%_bindir/iceboxnet.exe

for f in icecs glacier2cs iceboxcs icegridcs icepatch2cs icestormcs;
do
	mkdir -p %buildroot%_monogacdir/$f/%dotnetversion.0__1f998c50fec78381
    cp bin/$f.dll %buildroot%_monogacdir/$f/%dotnetversion.0__1f998c50fec78381/$f.dll
    cp lib/pkgconfig/$f.pc %buildroot%_pkgconfigdir
done

rm -rf %buildroot/config/ %buildroot/bin %buildroot/slice

%files
%_bindir/iceboxnet.exe
%dir %_monogacdir/glacier2cs
%dir %_monogacdir/glacier2cs/%dotnetversion.0__1f998c50fec78381
%_monogacdir/glacier2cs/%dotnetversion.0__1f998c50fec78381/glacier2cs.dll
%dir %_monogacdir/icecs
%dir %_monogacdir/icecs/%dotnetversion.0__1f998c50fec78381
%_monogacdir/icecs/%dotnetversion.0__1f998c50fec78381/icecs.dll
%dir %_monogacdir/iceboxcs
%dir %_monogacdir/iceboxcs/%dotnetversion.0__1f998c50fec78381
%_monogacdir/iceboxcs/%dotnetversion.0__1f998c50fec78381/iceboxcs.dll
%dir %_monogacdir/icegridcs
%dir %_monogacdir/icegridcs/%dotnetversion.0__1f998c50fec78381
%_monogacdir/icegridcs/%dotnetversion.0__1f998c50fec78381/icegridcs.dll
%dir %_monogacdir/icepatch2cs
%dir %_monogacdir/icepatch2cs/%dotnetversion.0__1f998c50fec78381
%_monogacdir/icepatch2cs/%dotnetversion.0__1f998c50fec78381/icepatch2cs.dll
%dir %_monogacdir/icestormcs
%dir %_monogacdir/icestormcs/%dotnetversion.0__1f998c50fec78381
%_monogacdir/icestormcs/%dotnetversion.0__1f998c50fec78381/icestormcs.dll

%files devel
%_pkgconfigdir/icecs.pc
%_pkgconfigdir/glacier2cs.pc
%_pkgconfigdir/iceboxcs.pc
%_pkgconfigdir/icegridcs.pc
%_pkgconfigdir/icepatch2cs.pc
%_pkgconfigdir/icestormcs.pc

%changelog
* Thu Nov 01 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt2
- fix library version

* Fri Sep 21 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt1
- new version 3.2.1 (with rpmrb script)

* Fri Aug 03 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Dec 6 2006 ZeroC Staff
- See source distributions or the ZeroC website for more information
  about the changes in this release

